package com.red.circle.other.infra.database.mongo.dto.team;

import java.util.Objects;

/**
 * BD 角色
 *
 * @author pengshigang on 2023/4/7
 */
public enum BdRoleEnum {
  /**
   * bd.
   */
  BD,

  /**
   * bd 领导人.
   */
  BD_LEADER,

  /**
   * 即是BD又是BD Leader.
   */
  ALL;

  public boolean eq(String role) {
    return Objects.equals(role, this.name());
  }

  public boolean eq(BdRoleEnum role) {
    return Objects.equals(role, this);
  }

}
